RichLocation.Strand (BioJava-1.5-beta API)
Keywords: org.biojavax.bio.seq.RichLocation.Strand class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.seq
Class RichLocation.Strand

    java.lang.Object
      org.biojavax.bio.seq.RichLocation.Strand

All Implemented Interfaces:
  Comparable

Enclosing interface:
  RichLocation

    public static class RichLocation.Strand

extends Object
implements Comparable

This class represents a strand on which a location may lie. Three strands are defined by default - UNKNOWN, NEGATIVE, and POSITIVE.

Field Summary
`static RichLocation.Strand` | `NEGATIVE_STRAND` The negative strand is represented by the symbol '-' and has the number -1.
`static RichLocation.Strand` | `POSITIVE_STRAND` The positive strand is represented by the symbol '+' and has the number 1.
`static RichLocation.Strand` | `UNKNOWN_STRAND` The unknown strand is represented by the symbol '?' and has the number 0.

Method Summary
`int` | `compareTo(Object o)` Strands are compared first by symbol, then by number.
`boolean` | `equals(Object o)` Strands are equal if their numbers and symbols match.
`static RichLocation.Strand` | `forName(String name)` Returns the strand object that matches the symbol given.
`static RichLocation.Strand` | `forValue(int value)` Returns the strand object that matches the number given.
`String` | `getName()` Returns the string symbol of this strand.
`int` | `hashCode()`
`int` | `intValue()` Returns the numeric value of this strand.
`String` | `toString()` Form: "symbol" (eg.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### POSITIVE_STRAND

    public static final RichLocation.Strand POSITIVE_STRAND

  The positive strand is represented by the symbol '+' and has the number 1.

### NEGATIVE_STRAND

    public static final RichLocation.Strand NEGATIVE_STRAND

  The negative strand is represented by the symbol '-' and has the number -1.

### UNKNOWN_STRAND

    public static final RichLocation.Strand UNKNOWN_STRAND

  The unknown strand is represented by the symbol '?' and has the number 0.

Method Detail

### forValue

    public static RichLocation.Strand forValue(int value)

  Returns the strand object that matches the number given. Throws an exception if it could not recognise the number. Number is usually 1,-1,0.

  Parameters:
    `value` - the number of the strand.
  Returns:
    the strand matching that number.

### forName

    public static RichLocation.Strand forName(String name)

  Returns the strand object that matches the symbol given. Throws an exception if it could not recognise the symbol. Symbol is usually +,-,?.

  Parameters:
    `name` - the symbol of the strand.
  Returns:
    the strand matching that symbol.

### intValue

    public int intValue()

  Returns the numeric value of this strand.

  Returns:
    the numeric value.

### getName

    public String getName()

  Returns the string symbol of this strand.

  Returns:
    the string symbol.

### toString

    public String toString()

  Form: "symbol" (eg. +,-,?)

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Strands are equal if their numbers and symbols match.

  Overrides:
    `equals` in class `Object`

### compareTo

    public int compareTo(Object o)

  Strands are compared first by symbol, then by number.

  Specified by:
    `compareTo` in interface `Comparable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD